Package com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtInfo

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtInfo

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRelatedDomainExtInfo
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a <relDom:info> tag

  Title: EPP 1.0 Related Domain - info tag

  Description: The EPPRelatedDomainExtInfo object indicates to the server to include the related domain information in the response. As XML, it is represented by a <relDom:info> element.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TYPE_DOMAIN` | Constant for the type attribute that defines the use of the Domain Info Form.
    `static java.lang.String` | `TYPE_RELATED` | Constant for the type attribute that defines the use of the Related Info Form.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRelatedDomainExtInfo()` | Default constructor, where the `type` is set to `TYPE_DOMAIN`.
    `EPPRelatedDomainExtInfo​(java.lang.String aType)` | Constructor that takes the desired type of the extension using either the Domain Info Form, represented by the `TYPE_DOMAIN` constant, or the Related Info Form, represented by the `TYPE_RELATED` constant.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPRelatedDomainExtInfo`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the EPPRelatedDomainExtInfo attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtInfo instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPRelatedDomainExtInfo` compare.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getType()` | Gets the form type of the extension, which must be either the `TYPE_DOMAIN` constant for the Domain Info Form, and the `TYPE_RELATED` constant for the Related Info Form.
    `void` | `setType​(java.lang.String aType)` | Sets the form type of the extension, which must be either the `TYPE_DOMAIN` constant for the Domain Info Form, and the `TYPE_RELATED` constant for the Related Info Form.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_DOMAIN

          public static java.lang.String TYPE_DOMAIN

      Constant for the type attribute that defines the use of the Domain Info Form. With this form, a successful response will include the domain info of the domain name specified in the domain info command along with the related domain information in the extension.

    - #### TYPE_RELATED

          public static java.lang.String TYPE_RELATED

      Constant for the type attribute that defines the use of the Related Info Form. With this form, a successful response will include just the related domain information associated with the domain name specified in the domain info command. The domain name in the domain info command does not have to exist and the response is a standard EPP response with the related domain extension.

  - ### Constructor Detail

    - #### EPPRelatedDomainExtInfo

          public EPPRelatedDomainExtInfo()

      Default constructor, where the `type` is set to `TYPE_DOMAIN`.

    - #### EPPRelatedDomainExtInfo

          public EPPRelatedDomainExtInfo​(java.lang.String aType)

      Constructor that takes the desired type of the extension using either the Domain Info Form, represented by the `TYPE_DOMAIN` constant, or the Related Info Form, represented by the `TYPE_RELATED` constant.
      Parameters:
        `aType` - Type of form to use which must be either the `TYPE_DOMAIN` constant for the Domain Info Form or the `TYPE_RELATED` constant for the Related Info Form.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the form type of the extension, which must be either the `TYPE_DOMAIN` constant for the Domain Info Form, and the `TYPE_RELATED` constant for the Related Info Form.
      Returns:
        Either `TYPE_DOMAIN` or `TYPE_RELATED`.

    - #### setType

          public void setType​(java.lang.String aType)

      Sets the form type of the extension, which must be either the `TYPE_DOMAIN` constant for the Domain Info Form, and the `TYPE_RELATED` constant for the Related Info Form.
      Parameters:
        `aType` - Either `TYPE_DOMAIN` or `TYPE_RELATED`.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRelatedDomainExtInfo`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRelatedDomainExtInfo`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPRelatedDomainExtInfo attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPRelatedDomainExtInfo from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtInfo instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPRelatedDomainExtInfo instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPRelatedDomainExtInfo instance.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPRelatedDomainExtInfo` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRelatedDomainExtInfo` instance to compare with
      Returns:
        DOCUMENT ME!

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.